<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ServiceElement StructType
 * @subpackage Structs
 */
class JP_ServiceElement extends JP_BaseElement
{
    /**
     * The ServiceBookingInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceBookingInfo
     */
    public $ServiceBookingInfo;
    /**
     * Constructor method for JP_ServiceElement
     * @uses JP_ServiceElement::setServiceBookingInfo()
     * @param \StructType\JP_ServiceBookingInfo $serviceBookingInfo
     */
    public function __construct(\StructType\JP_ServiceBookingInfo $serviceBookingInfo = null)
    {
        $this
            ->setServiceBookingInfo($serviceBookingInfo);
    }
    /**
     * Get ServiceBookingInfo value
     * @return \StructType\JP_ServiceBookingInfo|null
     */
    public function getServiceBookingInfo()
    {
        return $this->ServiceBookingInfo;
    }
    /**
     * Set ServiceBookingInfo value
     * @param \StructType\JP_ServiceBookingInfo $serviceBookingInfo
     * @return \StructType\JP_ServiceElement
     */
    public function setServiceBookingInfo(\StructType\JP_ServiceBookingInfo $serviceBookingInfo = null)
    {
        $this->ServiceBookingInfo = $serviceBookingInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ServiceElement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
